Adel_HPOO_1020 Super Contributor.
Super Contributor.
76 views

How to make OO working with new hibernate and java version

Hi, 

Could some one tell me if i can upgrade the hibernate version of my OO and his java version. 

Regarding OO hibernate Jar files ,  i conclude that the version of hibernate used is the 4.x,  what i want to do is using the new hibernate 6.x, is it possible ? 

For java i have did this by redirecting the java_home central config variable to a new java version,  is it safe to do this. 

Regards

0 Likes
1 Reply
Outstanding Contributor.. JarodMB Outstanding Contributor..
Outstanding Contributor..

Re: How to make OO working with new hibernate and java version

OO only supports the versions the tool is released with. You might be ok staying in the 1.8 branch but I wouldn't suggest going to another major release. I would, however, suggest reverting to the versions provided by MicroFocus in order to ensure compatibility. I agree that there are some outdated packages in use by the tool -- adding the packages to the idea exchange is the appropriate route to gain traction on moving the application forward. If this is the result of a security finding I would suggest requesting an exception. 

In the event you also have SA - please do not upgrade the internal oracle store using Oracle-supplied patches. Only patch from official MicroFocus releases. 

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.